Subject: bug#60711: Compose fails to generate ≤ and ≥ (only those two! and only in emacs!)

From: Marcin Kasperski <[email-masked]>
Date: Tue, 10 Jan 2023 16:15:41 +0100

One more note: copy&paste of ≤ and ≥ to emacs works, those letters are
then properly displayed, saved, etc.

wt., 10 sty 2023 o 16:13 Marcin Kasperski
<[email-masked]> napisał(a):
>
> I heavily use compose sequences while writing („CapsLock - >” – and I
> get nice  „→”).
>
> Since some recent emacs update (version below):
>
> a) I can no longer generate ≤ and ≥ in Emacs
>
>     All combinations (Compose >=, Compose >_, Compose _>) end the same:
>     - after entering Compose > there is floating window hinting ≥
>     - once I type =, puff, no character in the buffer, nothing.
>
> b) Other Compose combinations I tried work.
>
>     In particular Compose => works in Emacs and generates ⇒,
>     Compose > > makes », Compose - > makes → and so on
>
>     (can't guarantee everything works  but from dozens of combinations
>     I use I found only those two to be problematic).
>
> c) In all other applications ≥ and ≤ are properly generated with compose
>     (tried gedit, terminator, firefox, vscode …)
>
> So, for example, pressing
>       a Compose < = b Compose < < c
> in gedit/code/firefox results in
>       a≤b«c
> while in Emacs results in
>       ab«c
> (and really that, I tried saving file and hex-inspecting it, no
> invisible character there).
>
>
> Problem appeared after some recent update (most likely after I upgraded
> to emacs 28 but I am not 100% sure, could be also related to Ubuntu
> upgrade).
>
> Problem reproduces in `emacs -Q`
>
> Version I use now:
>
> GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20,
> cairo version 1.16.0)
>  of 2022-05-31
>
> (Ubuntu 22.04.1 LTS,
>  emacs from ppa https://launchpad.net/~kelleyk/+archive/ubuntu/emacs,
>  KDE Plasma as window manager)